Calling PolyCurve.Offset in Python

Hi, everyone! :slight_smile:
So Iā€™m struggling with calling the PolyCurve.Offset correctly from within Python (dynamo 2.6)
Can anyone shed a light?

# Load the Python Standard and DesignScript Libraries
import sys
import clr
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *

# The inputs to this node will be stored as a list in the IN variables.
dataEnteringNode = IN

# Place your code below this line
pcrv = IN[0]
nr = IN[1]

out = []
for i in range(int(nr)):
	newcrv = pcrv.Offset(-0.1, False)
	out.append(newcrv)
	pcrv = newcrv
# Assign your output to the OUT variable.
OUT = out

Hi,


you can also use
Curve.Offset(-0.1) PolyCurve Class inherit Curve Class
Or recreate a Polycurve from newcrv

Hi @jostein_olsen

try this:

3 Likes